CVE-2005-4621
CVSS4.3
发布时间 :2005-12-31 00:00:00
修订时间 :2008-09-20 00:43:34
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in the editavatar page in vBulletin 3.5.1 allows remote attackers to inject arbitrary web script or HTML via a URL in the remote avatar url field, in which the URL generates a parsing error, and possibly requiring a trailing extension such as .jpg.


[CNNVD]VBulletin Profile.PHP跨站脚本攻击漏洞(CNNVD-200512-660)

        vBulletin 3.5.1 中的editavatar页存在跨站脚本攻击漏洞,远程攻击者可以通过一个在远程avatar url 字段中的URL注入任意Web脚本或URL,其中URL会生成一个解析错误,并可能要求一个如.jpg的结尾扩展。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:jelsoft:vbulletin:2.2.9
cpe:/a:jelsoft:vbulletin:3.0
cpe:/a:jelsoft:vbulletin:3.0_beta_5
cpe:/a:jelsoft:vbulletin:3.0.4
cpe:/a:jelsoft:vbulletin:1.0.1::lite
cpe:/a:jelsoft:vbulletin:3.5.1
cpe:/a:jelsoft:vbulletin:3.0.5
cpe:/a:jelsoft:vbulletin:3.0.3
cpe:/a:jelsoft:vbulletin:2.0.3
cpe:/a:jelsoft:vbulletin:2.3.8
cpe:/a:jelsoft:vbulletin:3.0.1
cpe:/a:jelsoft:vbulletin:3.0_beta_7
cpe:/a:jelsoft:vbulletin:2.0_rc2
cpe:/a:jelsoft:vbulletin:2.2.5
cpe:/a:jelsoft:vbulletin:2.0_rc3
cpe:/a:jelsoft:vbulletin:2.3.2
cpe:/a:jelsoft:vbulletin:3.0_beta_3
cpe:/a:jelsoft:vbulletin:2.2.3
cpe:/a:jelsoft:vbulletin:2.3.0
cpe:/a:jelsoft:vbulletin:3.0_beta_4
cpe:/a:jelsoft:vbulletin:2.3.3
cpe:/a:jelsoft:vbulletin:3.0.7
cpe:/a:jelsoft:vbulletin:2.2.6
cpe:/a:jelsoft:vbulletin:2.2.0
cpe:/a:jelsoft:vbulletin:3.0.9
cpe:/a:jelsoft:vbulletin:2.2.7
cpe:/a:jelsoft:vbulletin:2.2.2
cpe:/a:jelsoft:vbulletin:2.2.4
cpe:/a:jelsoft:vbulletin:2.2.8
cpe:/a:jelsoft:vbulletin:3.0.2
cpe:/a:jelsoft:vbulletin:2.3.4
cpe:/a:jelsoft:vbulletin:3.0.10
cpe:/a:jelsoft:vbulletin:3.0_beta_6
cpe:/a:jelsoft:vbulletin:3.0.8
cpe:/a:jelsoft:vbulletin:3.0_beta_2
cpe:/a:jelsoft:vbulletin:3.0_gamma
cpe:/a:jelsoft:vbulletin:2.2.1
cpe:/a:jelsoft:vbulletin:3.0.6

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4621
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4621
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-660
(官方数据源) CNNVD

- 其它链接及资源

http://www.vbulletin.com/forum/showthread.php?t=166391
(PATCH)  MISC  http://www.vbulletin.com/forum/showthread.php?t=166391
http://www.securityfocus.com/bid/16128
(UNKNOWN)  BID  16128
http://www.osvdb.org/21373
(UNKNOWN)  OSVDB  21373
http://pridels0.blogspot.com/2005/11/vbulletin-351-xss-vuln.html
(UNKNOWN)  MISC  http://pridels0.blogspot.com/2005/11/vbulletin-351-xss-vuln.html

- 漏洞信息

VBulletin Profile.PHP跨站脚本攻击漏洞
中危 跨站脚本
2005-12-31 00:00:00 2006-09-20 00:00:00
远程  
        vBulletin 3.5.1 中的editavatar页存在跨站脚本攻击漏洞,远程攻击者可以通过一个在远程avatar url 字段中的URL注入任意Web脚本或URL,其中URL会生成一个解析错误,并可能要求一个如.jpg的结尾扩展。

- 公告与补丁

        

- 漏洞信息

21373
vBulletin Avatar URL Field XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

vBulletin contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the remote avatar URL upon submission to the profile.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-11-26 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站